Announcement

Collapse
No announcement yet.

fr24feed on Ubuntu Server 64bit (arm64)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • fjuppe
    replied
    I think I have made it now, found out how to overcome the shortages in WSL. I now have a running FR24 feeder in Ubuntu 20.4 running under Windows 11 WSL 2. Receiver is SDR Play RSP2Pro with SDRuno and interface is beast-tcp.
    Thank you for all help!

    Leave a comment:


  • fjuppe
    replied
    Thank you for your reply.....everything is fine until I try to start fr24feed. I get error message (from root level) : "System has not been booted with systemd as init system (PID1). Can't Operate".
    Failed to connect to bus: Host is down

    I am newbie on WSL/Linux/Ubuntu.....

    Leave a comment:


  • abcd567
    replied
    This howto is for Ubuntu arm64 version which is installed on arm64 cpu. The arm cpu is used on Raspberry Pi and similar computers.
    Windows is installed on computers with intel x86_64 or amd64 cpu, and Ubuntu in WSL2 is also amd64 version, not arm64 version.

    For amd64 version, howto is here.

    Installation of fr24feed on Linux in VM on Windows Intel PC i386, i686, or x64_x86

    Scroll down and use
    OPTION-3:
    Installing fr24feed Using debiab package for x86_64 machines: "fr24feed_1.0.25-3_amd64.deb"

    .
    Last edited by abcd567; 2022-06-09, 05:17.

    Leave a comment:


  • fjuppe
    replied
    I have tried this on a fresh Ubuntu 20.4 installation in Windows WSL but I can not get it working......
    Is there someone who is running the Fr24feed within Ubuntu inside the WSL, I am on Windows 11 and WSL 2
    Thanks in advance for a detailed guide to this

    Leave a comment:


  • dkyyz
    replied
    Originally posted by abcd567 View Post
    Code:
    dpkg --print-foreign-architectures
    
    sudo dpkg --add-architecture armhf
    
    dpkg --print-foreign-architectures
    Ah ha. I wish I come to this post sooner. learn something new everyday!

    But in my case, I am trying to install the package to pogoplug mobile. Installation is not really a problem, I did it manually (and which by the way I learn how to unpack deb and extract the contents and read the pre/post scripts etc)

    The problem is my /etc is on a readonly filesystem (like other embedded devices such as DDWRT) and I wish fr24feed can include an option to point the ini file in other places besides the default /etc directory.

    Leave a comment:


  • mutedjam
    replied
    Originally posted by maloff View Post
    I see no full and correct instructions on how to install fr24feed on Ubuntu 64bit (aarch64) for Raspberry Pi, neither in this thread, nor anywhere on the forum. For example, the method in this thread I think will neither install the latest fr24feed, nor autoupdate. So I put my snippet here, as this topic ranks first in my Google SERP. Hopefully it will help somebody.

    So if you have a clean Ubuntu these commands under root will do:
    Just registered abd wanted to leave a quick thank you here as this did it indeed come up pretty much at the top of my Google search. The steps described worked for me on Ubuntu 20.04 LTS running on a Raspberry Pi 4. Thanks a lot!

    Leave a comment:


  • maloff
    replied
    I see no full and correct instructions on how to install fr24feed on Ubuntu 64bit (aarch64) for Raspberry Pi, neither in this thread, nor anywhere on the forum. For example, the method in this thread I think will neither install the latest fr24feed, nor autoupdate. So I put my snippet here, as this topic ranks first in my Google SERP. Hopefully it will help somebody.

    So if you have a clean Ubuntu these commands under root will do:
    Code:
    dpkg --add-architecture armhf
    apt update
    apt dist-upgrade
    apt install libc6:armhf
    ldconfig
    bash -c "$(wget -O - https://repo-feed.flightradar24.com/install_fr24_rpi.sh)"
    systemctl restart fr24feed
    systemctl enable fr24feed
    This is how you check the fr24feed status:
    Code:
    root@ubuntu:~# sudo systemctl status fr24feed
    ● fr24feed.service - Flightradar24 Decoder & Feeder
         Loaded: loaded (/etc/systemd/system/fr24feed.service; enabled; vendor preset: enabled)
         Active: active (running) since Sat 2020-12-12 18:30:55 UTC; 5s ago
        Process: 45888 ExecStartPre=/usr/lib/fr24/install_dump1090.sh (code=exited, status=0/SUCCESS)
        Process: 45892 ExecStartPre=/usr/lib/fr24/unregister_kernel_modules.sh (code=exited, status=0/SUCCESS)
        Process: 45898 ExecStartPre=/usr/lib/fr24/create_missing_directories.sh (code=exited, status=0/SUCCESS)
       Main PID: 45901 (fr24feed)
          Tasks: 23 (limit: 972)
         CGroup: /system.slice/fr24feed.service
                 ├─45901 /usr/bin/fr24feed
                 └─45923 /usr/bin/dump1090-mutability --raw --mlat --write-json /run/dump1090-mutability/
    
    Dec 12 18:30:55 ubuntu systemd[1]: Starting Flightradar24 Decoder & Feeder...
    Dec 12 18:30:55 ubuntu systemd[1]: Started Flightradar24 Decoder & Feeder.
    App-specific way to check the status:
    Code:
    root@ubuntu:~# fr24feed-status
     * FR24 Feeder/Decoder Process: running
     * FR24 Stats Timestamp: 2020-12-12 18:39:05
     * FR24 Link: connected [UDP]
     * FR24 Radar: T-UUMO20
     * FR24 Tracked AC: 2
     * Receiver: connected (4515 MSGS/0 SYNC)
     * FR24 MLAT: ok [UDP]
     * FR24 MLAT AC seen: 2
    Ensure you've got the latest version:
    Code:
    root@ubuntu:~# apt-cache policy fr24feed
    fr24feed:armhf:
      Installed: 1.0.26-9
      Candidate: 1.0.26-9
      Version table:
     *** 1.0.26-9 500
            500 http://repo.feed.flightradar24.com flightradar24/raspberrypi-stable armhf Packages
            100 /var/lib/dpkg/status
    root@ubuntu:~# fr24feed --version
    1.0.26-9
    dump1090 is also here, a new one:
    Code:
    root@ubuntu:~# apt-cache policy dump1090-mutability
    dump1090-mutability:
      Installed: 1.15~20180310.4a16df3+dfsg-6
      Candidate: 1.15~20180310.4a16df3+dfsg-6
      Version table:
     *** 1.15~20180310.4a16df3+dfsg-6 500
            500 http://ports.ubuntu.com/ubuntu-ports focal/universe arm64 Packages
            100 /var/lib/dpkg/status
    yeah the fr24feed binary is still 32bit:
    Code:
    root@ubuntu:~# file `which fr24feed`
    /usr/bin/fr24feed: ELF 32-bit LSB executable, ARM, EABI5 version 1 (GNU/Linux), statically linked, BuildID[sha1]=3e86f9f878cf0741572e32ddcf09b7ad5c80f5b6, for GNU/Linux 3.2.0, stripped
    While all other built-in binaries are 64bit:
    Code:
    root@ubuntu:~# file `which bash`
    /usr/bin/bash: ELF 64-bit LSB shared object, ARM aarch64, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux-aarch64.so.1, BuildID[sha1]=67d150eb0f362d8a6ef60714f1f45dd654fe2234, for GNU/Linux 3.7.0, stripped
    My hardware in this example was Raspberry Pi 3:
    Code:
    pi@raspberrypi:~ $ tr '\0' '\n' </proc/device-tree/model;arch
    Raspberry Pi 3 Model B Rev 1.2
    armv7l
    Last edited by maloff; 2020-12-21, 20:21.

    Leave a comment:


  • abcd567
    replied
    It seems that the repository of 64-bit (arm64) Ubuntu 20.4 is not well configured for foreign architecture added by user (here armhf), otherwise if it is well configured, then after adding architecture armhf, you did not have to manually install libc6:armhf. The dpkg should automatically pull it after reading the .deb package, as the .deb package contains info about both the "architecture" and "dependencies".

    The 64-bit Rasoberry Pi OS automatically installs all dependencies of fr24feed (armhf) package.


    Following command lists details of the .deb package

    Code:
    dpkg --info fr24feed_1.0.25-3_armhf.deb  
    ​​​​​
    Code:
    new Debian package, version 2.0.
    size 3343862 bytes:
    control archive=3266 bytes.
    83 bytes, 3 lines * conffiles
    452 bytes, 11 lines * control
    2612 bytes, 36 lines * md5sums
    2549 bytes, 80 lines * postinst  #!/bin/bash 963 bytes,
    38 lines * postrm  #!/bin/sh
    613 bytes, 37 lines * preinst #!/bin/sh
    316 bytes, 33 lines * prerm #!/bin/sh
    
    Package: fr24feed Version: 1.0.25-3
    [COLOR=#e74c3c][B]Architecture: [/B][/COLOR]armhf
    Maintainer: Flightradar24 AB
    Installed-Size: 5000
    [COLOR=#e74c3c][B]Depends:[/B][/COLOR] libc6 (>= 2.11.3-4), libstdc++6 (>=4.4.5-8), bash(>=1.0.0)
    Section: embedded
    Priority: extra
    Homepage: http://www.flightradar24.com
    Description: Flightradar24 Decoder & Feeder lets you effortlessly share ADS-B data with Flightradar24. Please visit https://www.flightradar24.com/share-your-data for more information.
    Last edited by abcd567; 2020-07-19, 17:09.

    Leave a comment:


  • arna
    replied
    I did something like this
    Code:
    apt-get install libc6:armhf
    apt --fix-broken install
    and now it seems to work fine. Not sure exactly what happened, but if it runs correctly it's ok
    Last edited by arna; 2020-07-19, 12:43.

    Leave a comment:


  • abcd567
    replied
    Better use 64 bit Raspberry Pi OS

    Leave a comment:


  • arna
    replied
    The situation is better now, the program is installed, but not working completely. During the installation this error appeared:

    Code:
    Selecting previously unselected package fr24feed:armhf.
    (Reading database ... 110939 files and directories currently installed.)
    Preparing to unpack fr24feed_1.0.25-3_armhf.deb ...
    Unpacking fr24feed:armhf (1.0.25-3) ...
    dpkg: dependency problems prevent configuration of fr24feed:armhf:
    fr24feed:armhf depends on libc6 (>= 2.11.3-4).
    fr24feed:armhf depends on libstdc++6 (>= 4.4.5-8).
    
    dpkg: error processing package fr24feed:armhf (--install):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    fr24feed:armhf
    PS This is the output the command before the installation:
    Code:
    dpkg --print-foreign-architectures
    armhf

    Leave a comment:


  • abcd567
    replied
    Code:
    dpkg --print-foreign-architectures 
    
    sudo dpkg --add-architecture armhf
    
    dpkg --print-foreign-architectures
    
    
    wget -O fr24feed_1.0.25-3_armhf.deb http://repo-feed.flightradar24.com/rpi_binaries/fr24feed_1.0.25-3_armhf.deb
    
    sudo dpkg -i fr24feed_1.0.25-3_armhf.deb.

    Leave a comment:


  • arna
    replied
    Thanks for your reply, but it does not work
    Here is the output:
    Code:
    dpkg: error processing archive fr24feed_1.0.25-3_armhf.deb (--install):
    package architecture (armhf) does not match system (arm64)
    Errors were encountered while processing:
    fr24feed_1.0.25-3_armhf.deb

    Leave a comment:


  • abcd567
    replied
    (1) To install fr24feed on Ubuntu Server 20.04 arm64 / RPi 4:

    Code:
    wget -O fr24feed_1.0.25-3_armhf.deb http://repo-feed.flightradar24.com/rpi_binaries/fr24feed_1.0.25-3_armhf.deb
    
    sudo dpkg -i fr24feed_1.0.25-3_armhf.deb

    (2) To install fr24feed on 64 bit RaspberryPI OS / RPi 4:

    Code:
    sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"


    (3) Script for Automated Installation of dump1090-fa & piaware data feeder on Ubuntu Server 20.04 arm64 / RPi 4


    (4) ) Script for Automated Installation of dump1090-fa & piaware data feeder on 64 bit RaspberryPI OS / RPi 4




    .
    Last edited by abcd567; 2020-07-19, 02:32.

    Leave a comment:


  • arna
    started a topic fr24feed on Ubuntu Server 64bit (arm64)

    fr24feed on Ubuntu Server 64bit (arm64)

    Hello!
    I'm moving my installation to a new RaspberryPi 4 running Ubuntu 20.04 LTS (GNU/Linux 5.4.0-1013-raspi aarch64). I'm not using Raspbian since there isn't a stable, no-desktop version supporting 64bit yet, and I definitely want to use a 64bit system. The main problem is I'm notable to install the feeder on this computer. I've tried:
    Code:
    sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"
    but I get:
    Code:
    --2020-07-18 14:10:03-- http://repo.feed.flightradar24.com/install_fr24_rpi.sh
    Resolving repo.feed.flightradar24.com (repo.feed.flightradar24.com)... 2600:1fa0:8024:8a49:34d8:50ab::, 52.217.11.14
    Connecting to repo.feed.flightradar24.com (repo.feed.flightradar24.com)|2600:1fa0:8024:8a49: 34d8:50ab::|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1284 (1.3K) [text/x-sh]
    Saving to: ‘STDOUT’
    
    - 100%[================================================== ==========================================>] 1.25K --.-KB/s in 0s
    
    2020-07-18 14:10:04 (27.4 MB/s) - written to stdout [1284/1284]
    
    Hit:1 http://ports.ubuntu.com/ubuntu-ports focal InRelease
    Hit:2 http://repo.feed.flightradar24.com flightradar24 InRelease
    Get:3 http://ports.ubuntu.com/ubuntu-ports focal-updates InRelease [111 kB]
    Hit:4 http://ports.ubuntu.com/ubuntu-ports focal-backports InRelease
    Hit:5 http://ports.ubuntu.com/ubuntu-ports focal-security InRelease
    Fetched 111 kB in 31s (3,568 B/s)
    Reading package lists... Done
    N: Skipping acquire of configured file 'raspberrypi-stable/binary-arm64/Packages' as repository 'http://repo.feed.flightradar24.com flightradar24 InRelease' doesn't support architecture 'arm64'
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    dirmngr is already the newest version (2.2.19-3ubuntu2).
    0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
    Executing: /tmp/apt-key-gpghome.5Tc44BJpr9/gpg.1.sh --recv-key --keyserver pool.sks-keyservers.net C969F07840C430F5
    gpg: key C969F07840C430F5: "Flightradar24 <support@fr24.com>" not changed
    gpg: Total number processed: 1
    gpg: unchanged: 1
    Hit:1 http://ports.ubuntu.com/ubuntu-ports focal InRelease
    Hit:2 http://ports.ubuntu.com/ubuntu-ports focal-updates InRelease
    Hit:3 http://ports.ubuntu.com/ubuntu-ports focal-backports InRelease
    Hit:4 http://ports.ubuntu.com/ubuntu-ports focal-security InRelease
    Hit:5 http://repo.feed.flightradar24.com flightradar24 InRelease
    Reading package lists... Done
    N: Skipping acquire of configured file 'raspberrypi-stable/binary-arm64/Packages' as repository 'http://repo.feed.flightradar24.com flightradar24 InRelease' doesn't support architecture 'arm64'
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package fr24feed
    I've read in another thread in the forum that it should work, but I can't figure out how.

    As additional info: I have successfully installed dump1090-fa and modesmixer2.

    PS: My first attempt was this: https://github.com/abcd567a/fr24feed...n-ubuntu-amd64 because I was confusing amd64 with arm64, but I think now I have removed all old files, so I think that there aren't problems due this anymore.
Working...
X